import { geoPath } from 'd3';

const path = geoPath();

const missingDataColor = 'white';

export const Marks = ({
  usaMap: { nation, states, counties },
  colorScale,
  colorValue,
  fipsToEducation,
  data,
}) => {
  return (
    <g className="marks">
      <path className="nation" d={path(nation)} />

      {counties.features.map((feature) => {
        const d = fipsToEducation.get(feature.id);
        return (
          <path
            className="counties"
            fill={colorScale(d)}
            d={path(feature)}
          />
        );
      })}

      <path className="states" d={path(states)} />
    </g>
  );
};
