import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const countyUrl = "https://cdn.freecodecamp.org/testable-projects-fcc/data/choropleth_map/counties.json";

export const useUsaMap = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    json(countyUrl).then(topology => {
      const { nation, states, counties } = topology.objects;
    	setData({
        nation: feature(topology, nation),
        states: feature(topology, states),
        counties: feature(topology, counties)
        
      });
    });
  }, []);

  return data;
};
